
The Hammer - Bug #61

Unwanted characters on Select keyword from CodeList 

06/25/2017 01:06 PM - Sergey Natarov

Status: Closed Start date: 06/25/2017

Priority: Normal Due date:  

Assignee: Wil van Antwerpen % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

When you select suggested keyword from codelist (eg. "Open"), it inserts some extra characters into the Editor eg. extra spaces

("Open   "). Should not do it. 

History

#1 - 06/25/2017 03:01 PM - Wil van Antwerpen

- Status changed from New to Resolved

- Assignee set to Wil van Antwerpen

This was due to adding a space via "auto type" after it was already added in the template.

I removed the auto type space character and made sure that it is added everywhere in the template.

This means that in some places you'll see " \n" instead of "\n" for the first line on a autocomplete template.

That extra space is used as an end of line is send and thus the cursor gets placed one character AFTER the selection.

The end of line auto type works OK as the autocomplete list only pops up when the cursor is at the end of the line.

#2 - 06/26/2017 02:52 PM - Sergey Natarov

- Subject changed from Unwonted characters on Select keyword from CodeList  to Unwanted characters on Select keyword from CodeList 

#3 - 06/27/2017 12:35 PM - Wil van Antwerpen

- Status changed from Resolved to In Progress

Turns out the extra space automatically added after a selection interferes with the popup of other CodeLists.

This is now removed everywhere, there should be no more extra spaces added.

#4 - 07/06/2017 02:14 PM - Wil van Antwerpen

- Status changed from In Progress to Resolved

Extra space now also no longer gets inserted.

#5 - 07/06/2017 02:18 PM - Wil van Antwerpen

- Status changed from Resolved to Closed
